<?php

namespace Drupal\log_cache_tags\MyInvalidateTags;

use Drupal\Core\Cache\CacheTagsInvalidator;
use Drupal\Core\Cache\CacheTagsInvalidatorInterface;

class MyInvalidateTags extends CacheTagsInvalidator Implements CacheTagsInvalidatorInterface {
  public function invalidateTags(array $tags) {
    parent::invalidateTags($tags); // TODO: Change the autogenerated
    $config = \Drupal::config('log_cache_tags.settings');
    $purge_add = $config->get('log_cache_tags');
    $output = '';

    if ($purge_add != FALSE) {
      // Log each time we send a record to the purge_queue_alt table.
      $date = date('m/d/Y h:i:sa', \Drupal::time()->getCurrentTime());
      foreach ($tags as $tag) {
        $output .= $date . ': ' . $tag . '. ';
      }
      \Drupal::logger('log_cache_tags')->notice($output);
    }

    return $output;
  }

}
